%{!?release_func:%global release_func() %1%{?dist}}

Summary:	Tool for demonstrating well known weaknesses in the TCP/IP protocol suite
Name:		hunt
Version:	1.5
Release:	%release_func 13
License:	GPLv2
Group:		Applications/Internet
Source:		http://lin.fsid.cvut.cz/~kra/hunt/%name-%version.tgz
Patch0:		hunt-1.5-arridx.patch
Patch1:		hunt-1.5-cleanup.patch
Patch2:		hunt-1.5-signness.patch
Patch3:		hunt-1.5-listlen.patch
Patch4:		hunt-1.5-badcmp.patch
Patch5:		hunt-1.5-datatypes.patch
URL:		http://lin.fsid.cvut.cz/~kra/index.html
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
Hunt is a program for intruding into a connection, watching it and
resetting it. It was inpired by products like Juggernaut or T-sight
but has several features which can not be found in these products.

Note that hunt is operating on Ethernet and is best used for connections
which can be watched through it. However, it is possible to do something
even for hosts on another segments. The hunt doesn't distinguish between
local network connections and connections going to/from Internet. It can
handle all connections it sees.

Connection hijacking is aimed primarily at the telnet traffic but it can
be used for another traffic too.  The reset, watching, arp... features
are common to all connections.


%prep
%setup -q
%patch0 -p1 -b .arridx
%patch1 -p1 -b .cleanup
%patch2 -p1 -b .signness
%patch3 -p1 -b .listlen
%patch4 -p1 -b .badcmp
%patch5 -p1 -b .datatypes


%build
make clean
make %{?_smp_mflags} hunt CC='%__cc' CFLAGS="$RPM_OPT_FLAGS -D_REENTRANT"


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%_sbindir $RPM_BUILD_ROOT%_mandir/man1 \
           $RPM_BUILD_ROOT%_libdir/%name

install -p hunt          $RPM_BUILD_ROOT%_sbindir/
install -p tpsetup/*     $RPM_BUILD_ROOT%_libdir/%name/
install -p -m644 man/*.1 $RPM_BUILD_ROOT%_mandir/man1/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc CHANGES COPYING README* TODO
%doc %_mandir/*/*
%_sbindir/*
%_libdir/hunt



%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar  1 2009 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 1.5-10
- do not build the static binary
- fixed some int <-> void * cast issues

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 31 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.5-8
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5-7
- Autorebuild for GCC 4.3

* Fri Sep 15 2006 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 1.5-6
- rebuilt

* Sat Feb 18 2006 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 1.5-5
- removed unneeded curlies
- use commands directly instead of the %%__XXX macros

* Thu May 19 2005 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 1.5-4
- use %%dist instead of %%disttag

* Thu Mar  3 2005 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0:1.5-3
- fixed out-of-range array subscript (BZ #149777)
- fixed lots of warnings regarding different signedness
- fixed some minor compilation warnings
- fixed bad handling of hosts-lists when start-host > end-host

* Fri May  9 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:1.5-0.fdr.2
- updated source-url

* Mon May  5 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:1.5-0.fdr.1
- updated to recent fedora policies
- removed static binary from the filelist
- debugfiles are not included anymore
- s!Copyright!License!
- fixed %%description

* Thu Oct 25 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 1.5-4
- Updated URL

* Wed Jun  6 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
- added %defattr(-,root,root)

* Fri Jun  1 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
- typo

* Fri Jun  1 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
- updated to 1.5
- cleanups

* Fri May 05 2000 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
- Update to 1.4
- Modified the .../contrib/* spec-file a little bit
